local LAM = LibStub:GetLibrary("LibAddonMenu-1.0")

function CA.CreateConfigMenu()
	CA.configPanel = LAM:CreateControlPanel(CA.name.."Config", "|cD6660CCyrodiil Alert|r")
	
	LAM:AddHeader(CA.configPanel, "CA.HeadingGeneral", "|cE5E5E5General Options|r")
	
	LAM:AddSlider(CA.configPanel, "CA.NotifyDelay", "Notification Delay", "How many seconds will the notifications remain on screen.", 3, 6, 1,
			function() return CA.vars.notifyDelay end,
			function(newValue) CA.vars.notifyDelay = newValue end)
	
	LAM:AddCheckbox(CA.configPanel, "CA.ChatOutput", "Output to Chat", "Also outputs the notifications to your chat window",
			function() return CA.vars.chatOutput end,
			function(newValue) CA.vars.chatOutput = newValue end)
	
	LAM:AddCheckbox(CA.configPanel, "CA.OnlyChat", "Disable On-Screen Notifications", "Disable notifications on screen (combined with Output to Chat option allows notifications only in chat)",
			function() return CA.vars.onlyChat end,
			function(newValue) CA.vars.onlyChat = newValue;  end)
	
	LAM:AddCheckbox(CA.configPanel, "CA.Out", "Enable Notifications Outside Cyrodiil", "Get notifications when you are out of Cyrodiil.",
			function() return CA.vars.outside end,
			function(newValue) CA.vars.outside = newValue;  end)
	
	LAM:AddHeader(CA.configPanel, "CA.HeadingNotification", "|cE5E5E5Notification Options|r")
	
	LAM:AddCheckbox(CA.configPanel, "CA.Attack", "Enable Attack Notifications", "Get notifications about attacks.",
			function() return CA.vars.showAttack end,
			function(newValue) CA.vars.showAttack = newValue;  end)
	
	LAM:AddCheckbox(CA.configPanel, "CA.AttackEnd", "Enable Attack Ending Notifications", "Get notifications about attacks ending.",
			function() return CA.vars.showAttackEnd end,
			function(newValue) CA.vars.showAttackEnd = newValue;  end)
			
	LAM:AddCheckbox(CA.configPanel, "CA.OwnerChanged", "Enable Alliance Owner Notifications", "Get notifications about keep/resource alliance owner changes.",
			function() return CA.vars.showOwnerChanged end,
			function(newValue) CA.vars.showOwnerChanged = newValue;  end)
	
	LAM:AddCheckbox(CA.configPanel, "CA.Emperors", "Enable Emperor Notifications", "Get notifications about Emperors.",
			function() return CA.vars.showEmperors end,
			function(newValue) CA.vars.showEmperors = newValue;  end)
			
	LAM:AddCheckbox(CA.configPanel, "CA.Gates", "Enable Gate Notifications", "Get notifications about Gates.",
			function() return CA.vars.showGates end,
			function(newValue) CA.vars.showGates = newValue;  end)
			
	LAM:AddCheckbox(CA.configPanel, "CA.Scrolls", "Enable Scroll Notifications", "Get notifications about Scrolls.",
			function() return CA.vars.showScrolls end,
			function(newValue) CA.vars.showScrolls = newValue;  end)
			
	LAM:AddCheckbox(CA.configPanel, "CA.Claim", "Enable Claim Notifications", "Get notifications about guilds claiming keeps.",
			function() return CA.vars.showClaim end,
			function(newValue) CA.vars.showClaim = newValue;  end)

	
    LAM:AddHeader(CA.configPanel, "CA.bottomHeader", "")

	local statsText = "\nVersion |c60FF60" .. CA.version .. "|r by @Tanthul, Leader of the Dark Moon PVP Guild operating on the EU Scourge campaign. (AKA Nodens)\nAll rights reserved.\n\n|cD6660CA small message/protest by the developer:|r\nI want to bring to the attention of the PVP players out there the issue with the Scourge campaign.\nZOS in an admitted error on their part, killed the Scourge campaign (both EU and NA) overnight after the 1.1.2 game patch was implemented.\nThis had the effect of everyone of us, that spent two months playing there as dedicated PVPers, to be deprived of any sort of rewards, with no ability to catch up on the leaderboards of any other campaign (except the new low duration/low reward one). Apparently Zenimax does not care about compensating the playtime we spent there. We got literally told: \"Whoops, run along now\".\nIf you want to help please post at the official forum post: http://bit.ly/ScourgeThread -url shortened for easy copy- and/or leave feedback in game via the feedback menu. Our proposal is to have the campaign rewards given to all those who were going to get them when the rest of the campaigns end as well.\n This message is meant to raise public awareness on the issue. Your campaign and your PVP playtime could be next."
	LAM:AddDescription(CA.configPanel, "CA.StatsBlock", statsText)
end -- CA.CreateConfigMenu

